# MavenPluginConvention

API Documentation: | `MavenPluginConvention`

Properties and methods added by the `MavenPlugin`.

### Properties

Property | Description
`conf2ScopeMappings` | The set of rules for how to map Gradle dependencies to Maven scopes.
`mavenPomDir` | The directory to generate Maven POMs into.

### Methods

Method | Description
`pom()` | Creates a new `MavenPom`.
`pom(configureClosure)` | Creates and configures a new `MavenPom`. The given closure is executed to configure the new POM instance.

### Script blocks

No script blocks

### Property details

#### `Conf2ScopeMappingContainer` `conf2ScopeMappings`

The set of rules for how to map Gradle dependencies to Maven scopes.

#### `File` `mavenPomDir`

The directory to generate Maven POMs into.

Default with `maven` plugin:
  ``${project.buildDir}`/poms`

### Method details

#### `MavenPom` `pom`()

Creates a new `MavenPom`.

#### `MavenPom` `pom`(`Closure` configureClosure)

Creates and configures a new `MavenPom`. The given closure is executed to configure the new POM instance.